Problem installing Ecuador template

Post Reply
malipula
Posts: 1
Joined: 15 Oct 2022, 21:55

15 Oct 2022, 22:37

I have purchased and downloaded Ecuador. Upon running npm install I got a series of errors as per below:

hamis@HAMISs-iMac ecuador-ng-14.0.1 % npm install --save-dev
npm ERR! code ERESOLVE
npm ERR! ERESOLVE unable to resolve dependency tree
npm ERR!
npm ERR! While resolving: ecuador@14.0.1
npm ERR! Found: @angular/common@14.0.7
npm ERR! node_modules/@angular/common
npm ERR! @angular/common@"~14.0.0" from the root project
npm ERR!
npm ERR! Could not resolve dependency:
npm ERR! peer @angular/common@"9 - 13" from @fullcalendar/angular@5.11.2
npm ERR! node_modules/@fullcalendar/angular
npm ERR! @fullcalendar/angular@"^5.8.0" from the root project
npm ERR!
npm ERR! Fix the upstream dependency conflict, or retry
npm ERR! this command with --force, or --legacy-peer-deps
npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
npm ERR!
npm ERR! See /Users/hamis/.npm/eresolve-report.txt for a full report.

npm ERR! A complete log of this run can be found in:
npm ERR! /Users/hamis/.npm/_logs/2022-10-15T20_33_34_705Z-debug-0.log
hamis@HAMISs-iMac ecuador-ng-14.0.1 %

Is there a way to resolve this?

Hamisi

gucal
Posts: 7
Joined: 06 Sep 2022, 08:45

19 Oct 2022, 10:04

Hi,

Please try `npm install --save-dev --legacy-peer-deps`
gucal

cagatay.civici
Prime
Posts: 18570
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

25 Oct 2022, 08:30

This is due to FullCalendar's NPM package not being Ivy compatible I'm afraid. If you don't use full calendar it is safe to remove it.

Post Reply

Return to “Ecuador - PrimeNG”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest